Bug 859842 - Guest can't be resumed after migration with nfs server break and then start again
Guest can't be resumed after migration with nfs server break and then start a...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.9
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 03:47 EDT by mazhang
Modified: 2013-01-09 20:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 06:14:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mazhang 2012-09-24 03:47:26 EDT
Description of problem:
stop nfs server then migration guest to another host, after migration complete start nfs server and boot guest failed on destination host.


Version-Release number of selected component (if applicable):
kernel:2.6.18-339.el5
kvm:kvm-83-262.el5


How reproducible:
always

Steps to Reproduce:
1.mount nfs server on hostA(soure host) and hostB(destination host)
#mount -o soft,timeo=2 nfs_server_ip:/root/image
2.create a image on nfs file
3.start a vm on hostA
#/usr/libexec/qemu-kvm -no-hpet -no-kvm-pit-reinjection -usbdevice tablet -rtc-td-hack -startdate now -name RHEL5U9-1 -smp 4,cores=4 -k en-us -m 4G -uuid `uuidgen` -boot c -net nic,vlan=1,macaddr=00:1a:1a:12:19:01,model=virtio -net tap,vlan=2,ifname=virtio_10_2,script=/etc/qemu-ifup,downscript=no -drive file=/mnt/rhel5.9-64.qcow2,media=disk,if=virtio,cache=off,boot=on,format=qcow2,werror=stop -cpu qemu64 -M rhel5.6.0 -notify all -balloon virtio -monitor stdio -spice host=0,ic=on,port=5930,disable-ticketing -qxl 1 -drive file=/mnt/rhel5.9-ide.qcow2,media=disk,if=virtio,cache=off,boot=off,format=qcow2,werror=stop
4.migrate guest to hostB
#migrate -d tcp:10.66.85.205:5800,spiceport=5930,spicehost=10.66.85.205
5.stop nfs server, then waiting for migration complete.
6.start nfs server, perform "cont" on hostB's qemu-kvm command line.


  
Actual results:
can't boot guest after perform "cont"
info status print "VM status: paused"

Expected results:
guest works fine after perform "cont" on hostB.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.